{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> My Fasilkom Friends</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            $.ajax({
                method: "GET",
                url: "{% url 'lab-7:all-friend-list' %}",
                success: function (friend_list) {
                    var friend_list = JSON.parse(friend_list);
                    $.each(friend_list, function(index, friend) {
                        var button = '<button style="text-align:center" type="button" class="btn btn-xs btn-danger"' +
                            'onClick="deleteFriend(' + friend.pk + ')"> unfriend </button>';

                        var html = '<div class="list-group-item clearfix"> <a class="list-group-item clearfix" href="javascript:detailFriend(' + friend.pk + ')">' + friend.fields.friend_name + '</a>' + button + '</div>';

                        $("#friend-list").append(html)
                    })
                },
                error: function(error){
                    alert("Kamu tidak punya teman, sad :(")
                }
            });
        });
        
        function deleteFriend(id) {
            window.open('../delete-friend/' + id + '/', '_self');
        }

        function detailFriend(id) {
            window.open('../friend-biodata/' + id + '/', '_self');
        }

    </script>
{% endblock %}